<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Requesters/PPERPain.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d2f/_p_p_e_r_pain_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPERPain.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d2f/_p_p_e_r_pain_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PPERequester_PainBlur <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html">PPERequester_GameplayBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a19384bf627a25e15124b1cfbc053a72a">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a19384bf627a25e15124b1cfbc053a72a">SetRadialBlur</a>(<span class="keywordtype">float</span> power_x, <span class="keywordtype">float</span> power_y, <span class="keywordtype">float</span> offset_x, <span class="keywordtype">float</span> offset_y, <span class="keywordtype">float</span> pixel_scale = 0.5 )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.RadialBlur,<a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">PARAM_POWERX</a>,<span class="keyword">false</span>,power_x, <a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a> ,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.RadialBlur,<a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">PARAM_POWERY</a>,<span class="keyword">false</span>,power_y, <a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.RadialBlur,<a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">PARAM_OFFSETX</a>,<span class="keyword">false</span>,offset_x, <a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.RadialBlur,<a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">PARAM_OFFSETY</a>,<span class="keyword">false</span>,offset_y, <a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.RadialBlur,<a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">PARAM_PIXELSCALE</a>,<span class="keyword">false</span>,pixel_scale,<a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>.<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a> ,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>}</div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a055fe6645543d5aac6f214277f064eda"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a></div><div class="ttdeci">PPOperators</div><div class="ttdoc">PP operator masks specify operation between subsequent layers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00051">PPEConstants.c:52</a></div></div>
<div class="ttc" id="a_p_p_e_request_platforms_base_8c_html_a8db48939dbad620900fd941db199cb1b"><div class="ttname"><a href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a></div><div class="ttdeci">protected void SetTargetValueFloat(int mat_id, int param_idx, bool relative, float val, int priority_layer, int operator=PPOperators.ADD_RELATIVE)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbe/_p_p_e_request_platforms_base_8c_source.html#l00556">PPERequestPlatformsBase.c:556</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a></div><div class="ttdoc">RadialBlur - PostProcessEffectType.RadialBlur.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00002">PPERadialBlur.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a09a22e19751280468353c345098816de"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">PPERadialBlur::PARAM_PIXELSCALE</a></div><div class="ttdeci">static const int PARAM_PIXELSCALE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00008">PPERadialBlur.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a356cb12500cb55a1fb2e5a43a5cd7739"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">PPERadialBlur::PARAM_OFFSETY</a></div><div class="ttdeci">static const int PARAM_OFFSETY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00007">PPERadialBlur.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_aa2e466dd3bb3767ce27de79e526c1bdf"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">PPERadialBlur::PARAM_POWERY</a></div><div class="ttdeci">static const int PARAM_POWERY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00005">PPERadialBlur.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_aa5d2b324c2f5fa1c511dc3bfd50ac228"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">PPERadialBlur::PARAM_OFFSETX</a></div><div class="ttdeci">static const int PARAM_OFFSETX</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00006">PPERadialBlur.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_af020259f6551306b67c9c77b6ad12475"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">PPERadialBlur::PARAM_POWERX</a></div><div class="ttdeci">static const int PARAM_POWERX</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00004">PPERadialBlur.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_af9c772cd8e288c059e5a8cc9d48dd5d8"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">PPERadialBlur::L_0_PAIN_BLUR</a></div><div class="ttdeci">static const int L_0_PAIN_BLUR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00011">PPERadialBlur.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html">PPERequester_GameplayBase</a></div><div class="ttdoc">base, not to be used directly, would lead to layering collisions!</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_p_p_e_r_blood_loss_8c_source.html#l00001">PPERBloodLoss.c:2</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_a19384bf627a25e15124b1cfbc053a72a"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a19384bf627a25e15124b1cfbc053a72a">PPERequester_GameplayBase::SetRadialBlur</a></div><div class="ttdeci">void SetRadialBlur(float power_x, float power_y, float offset_x, float offset_y, float pixel_scale=0.5)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d2f/_p_p_e_r_pain_8c_source.html#l00003">PPERPain.c:3</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_6d418c63ea68f562b3e3c5d3404c6a9c.html">Requesters</a></li><li class="navelem"><a class="el" href="../../d2/d2f/_p_p_e_r_pain_8c.html">PPERPain.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
